:root {
	--body-text: normal 18px/32px Vazir, Roboto, sans-serif;
	--small-text: 300 14px/24px Vazir, Roboto, sans-serif;
	--small-button-text: bold 14px/24px Vazir, Roboto, sans-serif;
	--heading1: bold 32px/48px Vazir, Roboto, sans-serif;
	--heading2: bold 48px/72px KalamehWebFaNum, Roboto, sans-serif;
	--heading3: bold 32px/48px KalamehWebFaNum, Roboto, sans-serif;
	--product-title: bold 18px/24px Vazir, Roboto, sans-serif;
	--cta-text: bold 18px/32px KalamehWebFaNum, Roboto, sans-serif;
	--small-cta-text: bold 14px/24px KalamehWebFaNum, Roboto, sans-serif;
	--parent-cat-text: 18px/32px KalamehWebFaNum, Roboto, sans-serif;
  }
  
  textarea,
  input[type="text"],
  input[type="tel"],
  input[type="number"],
  input[type="search"] {
	padding: 7px 16px;
  }
  
  html,
  body {
	scroll-padding-top: 80px;
  }
  
  .select-menu-background.invisible {
	background-color: transparent;
  }
  
  .main-menu-container {
	display: flex;
	justify-content: center;
  
	background-color: var(--light-gray);
  }
  
  .main-menu {
	position: relative;
	top: initial;
	right: initial;
	z-index: initial;
  
	display: flex;
	flex-direction: row;
	justify-content: flex-end;
  
	width: 100%;
	max-width: 1440px;
	max-height: initial;
	padding: 0 24px;
	overflow: initial;
  
	background-color: transparent;
  
	transform: none;
  }
  
  .main-menu a,
  .main-menu button {
	padding: 12px 24px;
  
	font: var(--small-text);
  }
  
  .menu-social-container {
	margin-left: auto;
	margin-bottom: 0;
  
	box-shadow: none;
  }
  
  .menu-social-container a {
	padding: 12px;
  }
  
  .main-menu .main-item {
	margin-top: 0;
  }
  
  .top-profile-menu {
	position: absolute;
	top: 100%;
	z-index: 4;
  
	display: none;
	flex-direction: column;
  
	border-top: 1px solid #222;
  
	background-color: var(--high-emphasis-color);
  }
  
  .top-profile-menu.show {
	display: none;
  }
  
  .main-menu .main-item:hover + .top-profile-menu,
  .top-profile-menu:hover {
	display: flex;
  }
  
  .toolbar {
	display: flex;
	justify-content: center;
  }
  
  .toolbar ul {
	justify-content: center;
  
	width: 100%;
	max-width: 1440px;
	padding: 0 24px;
  }
  
  .toolbar .lean-left {
	margin-right: initial;
  }
  
  .toolbar .lean-left + li {
	margin-right: auto;
  }
  
  .toolbar .lean-right {
	margin-left: auto;
  }
  
  #burgerMenu {
	display: none;
  }
  
  .toolbar img {
	height: 32px !important;
  }
  
  #headerLogo {
	padding: 16px 0;
  }
  
  #categoriesButton {
	display: none;
  }
  
  .categories {
	position: static;
	overflow: visible;
	
	display: flex;
	flex-direction: row;
  
	width: auto;
	max-width: initial;
	max-height: initial;
  
	background-color: var(--background-color);
  
	transform: none;
  }
  
  .categories > a,
  .categories > a:link {
	position: relative;
	
	display: flex;
	align-items: center;
  
	padding: 16px 16px 14px 8px;
	border-bottom: 2px solid transparent;
  
	font: var(--parent-cat-text);
	color: var(--high-emphasis-color);
  
	cursor: pointer;
  }
  
  .categories > a::before {
	content: "";
  
	position: absolute;
	top: calc(100% + 2px);
	right: calc(50% - 4px);
	z-index: 4;
  
	display: none;
  
	border-width: 4px;
	border-style: solid;
	border-color: var(--high-emphasis-color) transparent transparent;
  }
  
  .categories:hover > a {
	opacity: 0.48;
  }
  
  .categories > a:hover,
  .categories > a.hovered {
	border-bottom: 2px solid var(--high-emphasis-color);
  
	background-color: transparent;
  
	opacity: 1 !important;
  }
  
  .categories > a:hover::before,
  .categories > a.hovered::before {
	display: block;
  }
  
  
  .categories > a img {
	height: 24px !important;
  }
  
  .categories button {
	display: none;
  }
  
  .parent-categories.show + .sub-categories {
	display: none;
  }
  
  .categories > a:hover + .parent-categories + .sub-categories,
  .parent-categories + .sub-categories:hover {
	display: flex;
  }
  
  .toolbar .lean-left:hover #categoriesBackgroundOverlay {
	display: block;
  }
  
  #categoriesBackgroundOverlay {
	position: absolute;
	top: 100%;
	z-index: initial;
  }
  
  #categoriesBackgroundOverlay:not(.show):hover {
	display: none !important;
  }
  
  .sub-categories {
	position: absolute;
	top: 100%;
	right: 0;
  
	display: none;
	justify-content: center;
  
	width: 100%;
	max-height: calc(100vh - 112px);
	border-top: 1px solid rgba(0, 0, 0, 0.16);
	overflow-y: auto;
  
	background-color: var(--background-color);
  }
  
  .sub-categories a:link {
	padding: 8px 16px;
  }
  
  .sub-cat-container .all-sub-cat {
	display: none;
  }
  
  .sub-cat-container {
	display: flex;
	align-items: flex-start;
  
	width: 100%;
	max-width: 1440px;
	padding: 24px;
  }
  
  .sub-cat-col {
	width: calc(33.33% - 16px);
  }
  
  .sub-cat-col:nth-of-type(2) {
	margin: 0 24px;
  }
  
  .sub-cat-col .sub-cat-img {
	display: block;
  
	width: 100%;
	height: auto !important;
  }
  
  .sub-cat-dbl-col {
	width: calc(66.66% - 8px);
	padding: 0;
  }
  
  .sub-cat-dbl-col a:link {
	flex-flow: row nowrap;
  
	width: calc(50% - 12px);
	padding: 0;
  }
  
  .sub-cat-dbl-col a:nth-of-type(odd) {
	margin-left: 24px;
  }
  
  .sub-cat-dbl-col a img {
	width: 64px;
	height: 64px !important;
	margin: 0 0 0 16px;
  }
  
  .sub-cat-dbl-col + .sub-cat-col {
	margin: 0 24px 0 0;
  }
  
  .sub-categories .divider {
	display: none;
  }
  
  #search,
  #cart {
	display: flex;
	align-items: center;
  }
  
  #search {
	border-width: 0 1px 0;
	border-style: solid;
	border-color:var(--disabled-color);
  
	cursor: text;
  }
  
  #search span {
	display: block;
  
	margin-right: 8px;
  
	font: var(--small-text);
	color: var(--low-emphasis-color);
  }
  
  #navSearchBar {
	padding: 24px 0;
  }
  
  #navSearchBar form {
	max-width: 920px;
	margin: auto;
  }
  
  #navSearchBar input {
	line-height: 32px;
  }
  
  #navSearchBar button svg {
	width: 32px;
	height: 32px;
  }
  
  #categoriesBackgroundOverlay.show {
	position: fixed;
	top: 0;
	z-index: 3;
  }
  
  #cart span {
	display: block;
  
	margin-right: 8px;
  
	font: var(--small-button-text);
	color: var(--high-emphasis-color);
  }
  
  #cart div {
	position: static;
	
	width: initial;
	height: initial;
	border: none;
	border-radius: 0;
	padding: 0 4px;
	margin-right: 4px;
  
	color: var(--background-color);
  }
  
  .toolbar-cart-container {
	position: relative;
  }
  
  .toolbar-cart {
	position: absolute;
	top: 100%;
	left: 0;
  
	width: 448px;
  }
  
  .toolbar-cart > hr {
	border-width: 0;
	border-bottom: 16px solid transparent;
  }
  
  .toolbar-cart-content {
	display: flex;
	flex-direction: column;
	
	height: auto;
	max-height: calc(100vh - 128px);
  
	background-color: var(--background-color);
  }
  
  @media (min-height: 576px) {
	.toolbar-cart-content {
	  max-height: 448px;
	}
  }
  
  .toolbar-cart-content::before {
	content: '';
  
	position: absolute;
	top: 0;
	left: 64px;
  
	display: block;
  
	width: 16px;
	height: 16px;
	border-width: 8px;
	border-style: solid;
	border-color: transparent transparent var(--background-color);
  }
  
  .toolbar-cart-product-list {
	max-height: calc(100% - 56px);
	overflow-y: auto;
  }
  
  .cart-product-card.toolbar-cart-product {
	align-items: center;
  
	padding: 8px;
	margin: 0;
	border: none;
	border-bottom: 1px solid var(--light-gray);
  }
  
  .cart-product-card.toolbar-cart-product > a {
	padding: 0;
	margin-left: 8px;
  }
  
  .cart-product-card.toolbar-cart-product > a img {
	width: 96px;
	height: 96px !important;
  }
  
  .cart-product-card.toolbar-cart-product .product-info a {
	padding: 0;
  }
  
  .cart-product-card.toolbar-cart-product .product-info h2 {
	font: var(--small-button-text);
  }
  
  .cart-product-card.toolbar-cart-product .cart-product-color {
	font: var(--small-text);
  }
  
  .cart-product-card.toolbar-cart-product .product-price {
	font-size: 14px;
	line-height: 24px;
  }
  
  .cart-product-card.toolbar-cart-product .product-price span {
	padding: 0 4px;
  }
  
  .cart-product-card.toolbar-cart-product .secondary-button {
	padding: 4px 8px;
	margin-right: 8px;
  
	font: var(--small-text);
	color: var(--medium-emphasis-color);
  
	cursor: pointer;
  }
  
  .cart-product-card.toolbar-cart-product .secondary-button:hover {
	background-color: var(--light-gray);
  
	color: var(--high-emphasis-color);
  }
  
  .toolbar-cart-summary {
	position: relative;
  
	justify-self: flex-end;
	display: flex;
	flex-wrap: nowrap;
	justify-content: space-between;
	align-items: center;
  
	width: 100%;
	height: 56px;
	padding: 8px;
  
	box-shadow: 0 -1px 0 rgba(0, 0, 0, 0.16);
  }
  
  .toolbar-cart-total span {
	display: block;
  
	font: var(--small-text);
	line-height: 16px;
  }
  
  .toolbar-cart-total strong {
	display: block;
  
	line-height: 24px;
	color: var(--brand-color);
  }
  
  .toolbar-cart-summary .purchase-button {
	width: initial;
	padding: 8px 16px;
  
	font: var(--small-cta-text);
	color: var(--background-color);
  }
  
  .cart-background {
	position: absolute;
	top: 100%;
	z-index: -1;
  
	display: none;
  
	width: 100%;
	height: 100vh;
  
	background-color: rgba(0, 0, 0, 0.48);
  }
  
  #cart:hover + .toolbar-cart,
  .toolbar-cart:hover {
	display: block;
  }
  
  .toolbar-cart-container:hover + .cart-background {
	display: block;
  }
  
  .hero-section {
	width: 100%;
	max-width: 1440px;
	padding: 0 24px;
	margin: 24px auto;
  }
  
  .big-banner {
	width: calc(66.95% - 12px);
  }

   /* 	 abdollah code */
.big-banner:last-child {
	display: block !important;
}
  
/* end of abdollah code */
  .small-banner {
	width: calc(33.05% - 12px);
	margin: 0;
  }
 .medium-banner {
  width: calc(50% - 8px);
  margin: 24px 0;
}

  .medium-banner:last-child {
	margin-right: 16px;
  }

  .big-banner:nth-child(1) {
	margin-bottom: 24px;
  }
  
  .small-banner:nth-child(2) {
	margin: 0 24px 24px 0;
  }
  
  .small-banner:nth-child(3) {
	margin-left: 24px;
  }
  
  .product-grid {
	display: flex;
	flex-flow: row wrap;
  
	padding-right: 24px;
  }
  
  .product-grid .product-card:link,
  .product-grid .product-card:visited {
	width: calc(25% - 24px);
	margin-left: 24px;
	margin-bottom: 48px;
  }
  
  .product-reel {
	margin: 128px 0;
  }
  
  .product-reel > h2 {
	max-width: 1440px;
	padding: 0 24px;
	margin: 0 auto 8px;
  }
/* abdollah code */
.special-product-reel .product-card .product-thumbnail {
	height: 354px;
}

.special-product-reel .product-shadow {
    bottom: -144px;
}
/* end of abdollah code */
  
  .reel-desc {
	position: relative;
  
	max-width: 1440px;
	padding: 0 24px;
	margin: 0 auto 24px;
  }
  
  .reel-desc .splide__arrows {
	position: absolute;
	bottom: -32px;
	left: 24px;
  
	display: flex;
	align-items: center;
	justify-content: flex-end;
  }
  
  .reel-desc .splide__arrow {
	position: static;
  
	width: 48px;
	height: 48px;
	border-radius: 0;
	border: 1px solid var(--disabled-color);
  
	background-color: var(--background-color);
  
	transform: none;
  }
  
  .reel-desc .splide__arrow--prev {
	margin-left: 8px;
  }
  
  .product-row {
	max-width: 1440px;
	padding: 24px 24px !important;
	margin: 0 auto;
  }
  
  .product-reel .product-card:link,
  .product-reel .product-card:visited {
	/* some code */
  }
  
  .promoted {
	padding: 128px 0;
	margin: 0;
  }
  
  .divider {
	margin: 24px;
  }
  
  .full-width-banner {
	padding: 128px 0;
  }
  
  .full-width-banner > h2 {
	padding: 0 24px;
	margin-bottom: 48px;
  }
  
  .full-width-banner > p {
	margin: 0 24px 48px;
  }
  
  .breadcrumbs {
	margin-bottom: 24px;
  }
  
  .breadcrumbs-container {
	padding: 0 24px;
  }
  
  .breadcrumbs a {
	padding: 12px 0;
  }
  
  input[type="checkbox"] + label {
	padding: 8px 16px;
  }
  
  .select-menu {
	position: relative;
  }
  
  .select-menu .options-container {
	position: absolute;
	top: calc(100% + 8px);
	right: 0;
  
	width: initial;
	min-width: 100%;
	max-width: initial;
	max-height: calc(100vh - 64px);
	border: 1px solid rgba(0, 0, 0, 0.16);
  
	transform: none;
  
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.16);
  }
  
  .select-menu h1 {
	display: none;
  }
  
  .select-menu label {
	padding: 8px 16px;
  }
  
  .product-grid-heading {
	flex-wrap: nowrap;
	
	margin: 24px auto 48px;
  }
  
  .main-heading {
	padding: 0 24px;
  }
  
  .product-grid-heading .select-menu,
  .filter-button {
	width: auto;
	white-space: nowrap;
  }
  
  .select-button {
	padding: 7px 16px 7px 8px;
  }
  
  .sort-button {
	border-width: 1px;
  }
  
  .filter-button {
	padding: 7px 16px;
	margin: 0 16px 0 24px;
	border-width: 1px;
  }
  
  .filter-button svg {
	margin-left: 8px;
  }
  
  .filters-container h1,
  .all-reviews h1 {
	padding: 12px 16px;
  }
  
  .filters-button-bar button {
	padding: 12px 16px;
  }
  
  .dbl-col-main {
	max-width: 1440px;
	padding: 0 24px;
  }
  
  .dbl-col-main article {
	width: calc(66.95% - 12px);
  }
  
  .dbl-col-main aside,
  #stickyPurchaseContainer {
	position: static;
	z-index: initial;
  
	width: calc(33.05% - 12px);
	margin-right: 24px;
  }
  
  #stickyPurchaseContainer.show {
	z-index: initial;
  }
  
  .dbl-col-main .main-heading {
	padding: 0;
	margin-bottom: 48px;
  }
  
  .even-columns article {
	order: 1;
	align-items: flex-start;
  
	width: calc(50% - 12px);
	padding: 0;
  }
  
  .even-columns aside {
	order: 2;
  
	width: calc(50% - 12px);
	padding: 0;
  }
  
  .even-columns article h1 {
	max-width: initial;
  }
  
  .even-columns article p {
	margin: 24px 0;
  }
  
  .even-columns article div {
	margin-top: 24px;
  }
  
  .product-slider:hover .splide__arrow {
	display: flex;
  }
  
  .product-slider .splide__arrow svg {
	width: 16px;
	height: 16px;
  }
  
  .purchase-form {
	display: none;
  }
  
  aside .purchase-form,
  aside.show .purchase-form {
	position: sticky;
	top: 88px;
  
	display: flex;
  
	max-height: calc(100vh - 88px);
	padding: 0;
	margin-top: 96px;
	overflow-y: auto;
  }
  
  .purchase-form h4 {
	margin: 0 0 8px;
  }
  
  .product-color {
	margin-bottom: 24px;
  }
  
  .product-color .splide__track {
	padding: 4px !important;
  }
  
  .purchase-form .product-price {
	margin: 24px 0;
  }
  
  .purchase-form .button-bar {
	padding: 0;
  }
  
  .purchase-button img {
	width: 32px;
  }
  
  #stickyPurchaseButton {
	display: none;
  }
  
  .product-details {
	margin: 128px auto;
  }
  
  .product-details h3 {
	margin-bottom: 48px;
  }
  
  .product-details p {
	margin: 48px 0;
  }
  
  .product-details h4 {
	margin: 48px 0;
  }
  
  .product-spec:first-of-type {
	margin-top: 48px;
  }
  
  .product-reviews {
	margin: 128px auto 0;
  }
  
  .product-reviews .sub-title {
	margin-bottom: 48px;
  }
  
  .review-container {
	margin: 48px 0;
  }
  
  .review-date {
	margin-top: 0;
  }
  
  .product-reviews .button-bar {
	margin-top: 48px;
  }
  
  .new-review {
	margin-top: 48px;
  }
  
  .new-review .text-field-label {
	margin: 24px 0;
  }
  
  .reply-date {
	margin-top: 0;
  }
  
  .purchase-process {
	padding: 0;
	margin: 24px 0;
  }
  
  .purchase-process .divider {
	margin: 16px;
  }
  
  .cart-product-card {
	align-items: stretch;
	
	padding: 16px;
	margin: 48px 0;
  }
  
  .cart-product-card > a {
	margin-left: 16px;
  }
  
  .cart-product-card > a img {
	width: 192px;
	height: 192px !important;
  }
  
  .cart-product-card .product-info {
	justify-content: space-between;
  }
  
  .cart-product-card .button-bar .secondary-button {
	margin-right: 16px;
  }
  
  .cart-product-card .product-price {
	padding: 0;
  }
  
  .cart-product-card.wishlist-product .button-bar {
	margin-top: 16px;
  }
  
  .cart-product-card.wishlist-product .button-bar {
	margin-top: 16px;
  }
  
  .cart-product-card.wishlist-product .product-price {
	margin-top: 16px;
  }
  
  .cart-form {
	position: sticky;
	top: 88px;
  
	max-width: initial;
	max-height: calc(100vh - 88px);
	padding: 0;
	margin-top: 24px;
	overflow-y: auto;
  }
  
  .cart-form .promo-code-container .primary-button {
	padding: 12px 24px;
  }
  
  .cart-form .product-spec:first-of-type,
  .cart-form .button-bar {
	margin-top: 24px;
  }
  
  .normal-radio + label {
	padding: 8px 16px;
  }
  
  .main-heading .normal-radio + label {
	padding: 0;
  }
  
  .main-heading.address-input-method {
	margin-bottom: 0;
  }
  
  .address-list,
  .new-address-form {
	padding: 0;
	margin: 48px 0;
  }
  
  .new-address-form {
	margin-bottom: 0;
  }
  
  .address-info {
	margin-bottom: 24px;
  }
  
  .address-info.address-book-address {
	margin-right: 0;
	margin-left: 0;
  }
  
  .new-address-form label {
	margin-top: 24px;
  }
  
  .new-address-form .primary-button {
	padding: 12px 24px;
	margin-top: 48px;
  }
  
  .branch-info {
	position: sticky;
	top: 88px;
  
	max-width: initial;
	max-height: calc(100vh - 88px);
	padding: 0;
	margin-top: 96px;
	overflow-y: auto;
  }
  
  .branch-info .product-spec:first-of-type {
	margin-top: 0;
  }
  
  .profile-content,
  .profile-menu-container {
	order: initial;
  }
  
  .profile-heading {
	margin: 24px auto 48px;
  }
  
  .profile-heading .main-heading {
	margin-bottom: 24px;
  }
  
  .orders-tab-bar {
	padding: 0;
  }
  
  .orders-tab-bar a {
	padding: 12px 24px;
  }
  
  .orders-column {
	padding: 0;
  }
  
  .order-card,
  .order-card:link {
	padding: 16px;
	margin-bottom: 24px;
  }
  
  .order-card-info span {
	margin-left: 24px;
  }
  
  .order-card-info span:last-child {
	margin-right: auto;
  }
  
  .order-card-preview {
	margin-top: 24px;
  }
  
  .order-card-preview > img {
	width: 96px;
	height: 96px !important;
	margin-left: 16px;
  }
  
  .order-card-preview .go-icon-container {
	padding-right: 24px;
	height: 96px;
  }
  
  .orders-column .view-more-container {
	margin-top: 24px;
  }
  
  .profile-menu {
	position: sticky;
	top: 88px;
  
	flex-direction: column;
  
	max-height: calc(100vh - 88px);
	margin-top: 24px;
	overflow-y: auto;
  }
  
  .profile-menu li {
	white-space: normal;
  }
  
  .profile-menu a,
  .profile-menu button {
	padding: 16px;
	border-width: 0 4px 0 0;
  }
  
  .login-main .left-col {
	padding: 24px;
  }
  
  .login-form h1 {
	margin-top: 24px;
  }
  
  .login-form p {
	margin: 24px 0;
  }
  
  .login-form .primary-button {
	padding: 12px 32px;
	margin-top: 24px;
  }
  
  .login-form .back-link {
	padding: 12px 0;
	margin-top: 24px;
  }
  
  .resend-container {
	margin-top: 24px;
  }
  
  .resend-container .ghost-button {
	padding: 12px 32px;
  }
  
  .resend-container .ghost-button:disabled {
	padding: 12px 0;
  }
  
  .accepted-promo-code button {
	padding: 8px 0;
  }
  
  .site-footer {
	display: flex;
	justify-content: center;
	
	padding: 64px 24px;
	margin-top: 128px;
  }
  
  .site-footer > div {
	align-items: flex-start;
  
	width: 25%;
	max-width: 348px;
	padding-bottom: 0;
	padding-left: 24px;
  }
  
  .site-footer > div:last-of-type {
	padding-left: 0;
  }
  
  .site-footer h1,
  .site-footer h2 {
	text-align: right;
  }
  
  .footer-about > a:first-of-type img {
	height: 32px !important;
  }
  
  .footer-about p {
	max-width: 300px;
  
	text-align: right;
  }
  
  .footer-menu a {
	padding: 0;
  }
  
  .footer-menu ul {
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
  }
  
  .footer-menu ul li {
	margin-bottom: 8px;
  }
  
  .footer-menu ul li:last-of-type {
	margin-bottom: 0;
  }
  
  .site-footer .footer-enamad {
	justify-content: flex-start;
  }
  
  .credits {
	padding: 32px 24px;
  }
  
  .credits.has-bottom-bar {
	padding-bottom: 48px;
  }
  
  .empty-state-message img {
	height: auto !important;
  }
  
  .success-order-message {
	margin: 0;
  }
  
  .aside-message {
	margin: 24px 0;
  }
  
  .view-more-button + .select-menu > .select-button {
	padding-top: 11px;
	padding-bottom: 11px;
  }
  
  .blog-main {
	padding: 0;
  }
  
  .blog-main .main-heading {
	margin-bottom: 24px;
  }
  
  .blog-aside-container {
	padding-right: 24px;
	border-right: 1px solid var(--light-gray);
	margin-top: 0;
	border-top: none;
  }
  
  .blog-aside {
	margin-top: 0;
  }
  
  .blog-menu {
	max-width: initial;
	padding: 0;
  }